# check_internet Reference

Following are the classes and functions defined within this module:

`Project.system.check_internet.``check`()

  This method issues notification if Internet comes back.

  Returns

    True or False

  Return type

    bool

`Project.system.check_internet.``connect`(host='http://google.com')

  This method checks internet connectivity by pinging google.com

  Returns

    True or False

  Return type

    bool

class `Project.system.check_internet.``myThread5`(val1, val2, course_name)
  `run`()

    This method controls the calling of other methods like checking of internet connectivity and calling notification functions.

`Project.system.check_internet.``notify`(val1, val2)

  This method issue notification to the user if Internet is down and starts the local proctoring thread .

  Parameters

    - val1 (bool) – bool argument

    - val2 (bool) – bool argument

  Returns

    True or False

  Return type

    bool